# Memcache::getVersion

(PECL memcache >= 0.2.0)

Memcache::getVersion — Return version of the server

### Description

Memcache::getVersion ( void ) : string

Memcache::getVersion() returns a string with server's version number. Also you can use memcache_get_version() function.

### Return Values

Returns a string of server version number or `FALSE` on failure.

### Examples

Example #1 Memcache::getVersion() example

`<?php
/* OO API */
$memcache = new Memcache;
$memcache->connect('memcache_host', 11211);
echo $memcache->getVersion();
/* procedural API */
$memcache = memcache_connect('memcache_host', 11211);
echo memcache_get_version($memcache);
?>`

### See Also

- Memcache::getExtendedStats() - Get statistics from all servers in pool
- Memcache::getStats() - Get statistics of the server